<?xml version="1.0" encoding="iso8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<html>
  <head>
    <link rel="stylesheet" href="basestation.css" type="text/css"/>
  </head>
  <body>

    <table>
      <tr>
        <td width="600">
          <span class="entryheading">Registration Data</span>
        </td>
      </tr>
      <tr>
        <td>
          <div class="entrybox">
            <table width="600">
              <tr>
                <td width="190">
                  <span class="entrycaption">ModeS (Hex): </span>
                  <span class="entrydata"><xsl:apply-templates select="//transmission/modes"/></span>
                </td>
                <td width="190">
                  <span class="entrycaption">Registration: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/registration"/></span>
                </td>
                <td width="220">
                  <span class="entrycaption">Country: </span>
                  <span class="entrydata"><xsl:apply-templates select="//transmission/country"/></span>
                </td>
              </tr>
              <tr>
                <td>
                  <span class="entrycaption">Status: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/status"/></span>
                </td>
                <td>
                  <span class="entrycaption">Previous ID: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/previousid"/></span>
                </td>
                <td>
                  <span class="entrycaption">Current Reg Date: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/currentregdate"/></span>
                </td>
              </tr>
              <tr>
                <td>
                  <span class="entrycaption">First Reg Date: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/firstregdate"/></span>
                </td>
                <td colspan="2">
                  <span class="entrycaption">De-reg Date: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/deregdate"/></span>
                </td>
              </tr>
            </table>
          </div>
        </td>
      </tr>
      <tr>
        <td>
          <div class="entrybox">
            <table width="600">
              <tr>
                <td width="190">
                  <span class="entrycaption">Manufacturer: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/manufacturer"/></span>
                </td>
                <td width="190">
                  <span class="entrycaption">Type: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/type"/></span>
                </td>
                <td width="220">
                  <span class="entrycaption">Serial No: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/serialno"/></span>
                </td>
              </tr>
              <tr>
                <td>
                  <span class="entrycaption">Popular Name: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/popularname"/></span>
                </td>
                <td colspan="2">
                  <span class="entrycaption">Aircraft Class: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/aircraftclass"/></span>
                </td>
              </tr>
              <tr>
                <td>
                  <span class="entrycaption">Generic Name: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/genericname"/></span>
                </td>
                <td colspan="2">
                  <span class="entrycaption">Engines: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/engines"/></span>
                </td>
              </tr>
            </table>
          </div>
        </td>
      </tr>
      <tr>
        <td>
          <div class="entrybox">
            <table width="600">
              <tr>
                <td width="190">
                  <span class="entrycaption">Ownership Status: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/ownershipstatus"/></span>
                </td>
                <td width="190">
                  <span class="entrycaption">MTOW: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/mtow"/></span>
                </td>
                <td width="220">
                  <span class="entrycaption">C of A Cat.: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/cofacategory"/></span>
                </td>
              </tr>
              <tr>
                <td>
                  <span class="entrycaption">Total Hours: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/totalhours"/></span>
                </td>
                <td>
                  <span class="entrycaption">Year Built: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/yearbuilt"/></span>
                </td>
                <td>
                  <span class="entrycaption">C of A Expiry: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/cofaexpiry"/></span>
                </td>
              </tr>
              <tr>
                <td colspan="3">
                  <span class="entrycaption">Registered Owners: </span>
                  <span class="entrydata"><xsl:apply-templates select="//regdata/registeredowners"/></span>
                </td>
              </tr>
            </table>
          </div>
        </td>
      </tr>
    </table>

    <table>
      <tr>
        <td width="600">
          <span class="entryheading">UserNotes</span>
        </td>
      </tr>
      <tr>
        <td>
          <div class="entrybox">
            <table width="600">
              <tr>
                <td>
                  <span class="entrydata"><xsl:apply-templates select="//user/notes"/></span>
                </td>
              </tr>
            </table>
          </div>
        </td>
      </tr>
    </table>

  </body>
</html>

</xsl:template>
</xsl:stylesheet>
